Package com.android.server.os

# Enum Class LinphoneTombstoneProtos.Cause.DetailsCase

java.lang.Object
java.lang.Enum<LinphoneTombstoneProtos.Cause.DetailsCase>
com.android.server.os.LinphoneTombstoneProtos.Cause.DetailsCase

All Implemented Interfaces:
  `Serializable`, `Comparable<LinphoneTombstoneProtos.Cause.DetailsCase>`, `Constable`

Enclosing class:
  LinphoneTombstoneProtos.Cause

public static enum LinphoneTombstoneProtos.Cause.DetailsCase extends Enum<LinphoneTombstoneProtos.Cause.DetailsCase>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DETAILS_NOT_SET`
`MEMORY_ERROR`

## Method Summary

Modifier and Type
Method
Description
`static LinphoneTombstoneProtos.Cause.DetailsCase`
`forNumber(int value)`
`int`
`getNumber()`
`static LinphoneTombstoneProtos.Cause.DetailsCase`
`valueOf(int value)`
Deprecated.
`static LinphoneTombstoneProtos.Cause.DetailsCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LinphoneTombstoneProtos.Cause.DetailsCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MEMORY_ERROR

public static final LinphoneTombstoneProtos.Cause.DetailsCase MEMORY_ERROR

### DETAILS_NOT_SET

public static final LinphoneTombstoneProtos.Cause.DetailsCase DETAILS_NOT_SET

## Method Details

### values

public static LinphoneTombstoneProtos.Cause.DetailsCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LinphoneTombstoneProtos.Cause.DetailsCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static LinphoneTombstoneProtos.Cause.DetailsCase valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static LinphoneTombstoneProtos.Cause.DetailsCase forNumber(int value)

### getNumber

public int getNumber()